<?php
namespace wcf\system\box;
use wcf\data\style\StyleList;
use wcf\system\WCF;


class StyleBoxBoxController extends AbstractDatabaseObjectListBoxController {
	/**
	 * @inheritDoc
	 */
	protected static $supportedPositions = ['sidebarLeft', 'sidebarRight', 'contentTop', 'contentBottom'];
	
	    protected function getObjectList() {
        $objectList = new StyleList();
        $objectList->sqlSelects = "(SELECT COUNT(*) FROM wcf".WCF_N."_user WHERE styleID = style.styleID) AS styleUsers";
        return $objectList;
    }
	
	
	protected function getTemplate() {
		$templateName = 'boxStyleBox';
		if ($this->getBox()->position == 'contentTop' || $this->getBox()->position == 'contentBottom') {
			$templateName = 'boxStyleContentBox';
		}  
		
	return WCF::getTPL()->fetch($templateName, 'wcf', ['styleList' => $this->objectList], true);
	
	}
	
		
}